Bug 1732160 - [marketplace] Doesn't report degraded when default operators fail
Summary: [marketplace] Doesn't report degraded when default operators fail
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 4.2.0
Assignee: Alexander Greene
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 20:29 UTC by Alexander Greene
Modified: 2019-09-04 17:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-04 17:29:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-marketplace pull 235 None None None 2019-08-06 14:19:40 UTC

Description Alexander Greene 2019-07-22 20:29:01 UTC
Description of problem:
The Marketplace operator should report degraded when it fails to reconcile a default operator source.

Version-Release number of selected component (if applicable):
4.2

How reproducible:
Always

Steps to Reproduce:
1. Make marketplace unable to successfully reconcile one of the default OperatorSources.
2. Run `oc get ClusterOperator marketplace` and note that the status does not reflect that it has degraded.

Actual results:
The marketplace ClusterOperator has not been placed in a degraded state.

Expected results:
The marketplace ClusterOperator should be placed in a degraded state.


Additional info:

Comment 1 Alexander Greene 2019-09-04 17:29:26 UTC
It has been decided that the marketplace operator will not report that it has degraded when a default operator source fails to reach the succeeded state. Instead, this information will be provided to telemetry as a part of https://bugzilla.redhat.com/show_bug.cgi?id=1732164


Note You need to log in before you can comment on or make changes to this bug.